package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIZ4 extends MwfRequest<MWFIZ4, MWFIZ4Response> {

    @Parameter(name = "BirthNumber")
    MWFIZ4 birthNumber(String birthNumber);
    @Parameter(name = "BranchId")
    MWFIZ4 branchId(String branchId);
    @Parameter(name = "CacheMode")
    MWFIZ4 cacheMode(Long cacheMode);
    @Parameter(name = "ClientType")
    MWFIZ4 clientType(String clientType);
    @Parameter(name = "ContractId")
    MWFIZ4 contractId(String contractId);
    @Parameter(name = "ContractSourceSystem")
    MWFIZ4 contractSourceSystem(String contractSourceSystem);
    @Parameter(name = "DistributionChannel")
    MWFIZ4 distributionChannel(String distributionChannel);
    @Parameter(name = "ICO")
    MWFIZ4 ico(String ico);
    @Parameter(name = "InfolimitType")
    MWFIZ4 infolimitType(String infolimitType);
    @Parameter(name = "Name")
    MWFIZ4 name(String name);
    @Parameter(name = "OnlineCheck")
    MWFIZ4 onlineCheck(Long onlineCheck);
    @Parameter(name = "Surname")
    MWFIZ4 surname(String surname);
    @Parameter(name = "UnifiedPartyKey")
    MWFIZ4 unifiedPartyKey(String unifiedPartyKey);
}
